STRUCT TEMPLATE (3)

NAME
boost::proto::domain_of

SYNOPSIS

// In header: <boost/proto/domain.hpp>
template<typename T>
struct domain_of {
  // types
  typedef domain-of-T type;
};

DESCRIPTION

A metafunction that returns the domain of a given type. If T is a Proto expression type, it returns that expression's associated domain. If not, it returns proto::default_domain.